summaryrefslogtreecommitdiffstats
path: root/games/glPortal
diff options
context:
space:
mode:
author Jeremy Hansen <jebrhansen+SBo@gmail.com>2017-01-23 14:03:36 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-01-24 00:21:50 +0000
commit7d2c03c4263014fc5edb1e03ebfc2e63f3f752e4 (patch)
tree9c4b3981546dc81891764b528fc5897bd31ea778 /games/glPortal
parent55f57bfeaf64fdf2a33faeaa890dcc8625d655bf (diff)
downloadslackbuilds-7d2c03c4263014fc5edb1e03ebfc2e63f3f752e4.tar.gz
slackbuilds-7d2c03c4263014fc5edb1e03ebfc2e63f3f752e4.tar.xz
games/glPortal: Added (3d physics based portal puzzle game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/glPortal')
-rw-r--r--games/glPortal/README10
-rw-r--r--games/glPortal/glPortal.SlackBuild117
-rw-r--r--games/glPortal/glPortal.info18
-rw-r--r--games/glPortal/slack-desc19
4 files changed, 164 insertions, 0 deletions
diff --git a/games/glPortal/README b/games/glPortal/README
new file mode 100644
index 0000000000..d2bcffd86b
--- /dev/null
+++ b/games/glPortal/README
@@ -0,0 +1,10 @@
+glPortal (3d physics based portal puzzle game)
+
+GlPortal is not a Portal clone; it features its own story centered
+around an ambitious lab assistant named Ada, who has to solve
+dangerous tasks for science on a daily basis. Her sidekick, a know-it-
+all Robot with a more than impressive laser canon, and an overexcited
+professor support her in her mission. Most of the time she has to
+dodge lasers and bullets while preventing the destruction of all life
+on earth. She is aided in her quest by the newest gizmo created by the
+engineers downstairs.
diff --git a/games/glPortal/glPortal.SlackBuild b/games/glPortal/glPortal.SlackBuild
new file mode 100644
index 0000000000..617c30272f
--- /dev/null
+++ b/games/glPortal/glPortal.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+
+# Slackware build script for glPortal
+
+# Copyright 2017 Jeremy Hansen <jebrhansen+SBo -at- gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=glPortal
+VERSION=${VERSION:-c3d5e47}
+SRCVER=${SRCVER:-c3d5e47c5151360c09d0d84f66d9c0e3c2051251}
+DATAVER=${DATAVER:-d391875c9110ed2b04b9014b3ab6a587c2aa921d}
+SPECVER=${SPECVER:-2bcaa5de0e6cae58e53008efcc8a9ec5f2f8ba92}
+CPPGUIVER=${CPPGUIVER:-f45a7b94da031914a86e1823d5affc512cc9de66}
+VHACDVER=${VHACDVER:-537b2413299a5a7d22a4aa0f9f26901b0f38daf2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+
+# Extract submodules to correct locations
+rmdir data documentation/specification external/{gwen,vhacd-lib}
+tar xvf $CWD/glportal_data-$DATAVER.tar.gz
+mv glportal_data-$DATAVER/ data
+tar xvf $CWD/specification-$SPECVER.tar.gz
+mv specification-$SPECVER/ documentation/specification
+tar xvf $CWD/cppgui-$CPPGUIVER.tar.gz
+mv cppgui-$CPPGUIVER/ external/gwen
+tar xvf $CWD/vhacd-lib-$VHACDVER.tar.gz
+mv vhacd-lib-$VHACDVER/ external/vhacd-lib
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DUnitTestPlusPlus_INCLUDE_DIR=/usr/include/UnitTest++/ ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+# Remove bogus static lib
+rm $PKG/usr/bin/libVHACD_LIB.a
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COMPILE.md CONTRIBUTE.md CONTRIBUTORS.md LICENSE.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/glPortal/glPortal.info b/games/glPortal/glPortal.info
new file mode 100644
index 0000000000..38294bd810
--- /dev/null
+++ b/games/glPortal/glPortal.info
@@ -0,0 +1,18 @@
+PRGNAM="glPortal"
+VERSION="c3d5e47"
+HOMEPAGE="http://glportal.de/"
+DOWNLOAD="https://github.com/GlPortal/glPortal/archive/c3d5e47/glPortal-c3d5e47c5151360c09d0d84f66d9c0e3c2051251.tar.gz \
+ https://github.com/GlPortal/glportal_data/archive/d391875/glportal_data-d391875c9110ed2b04b9014b3ab6a587c2aa921d.tar.gz \
+ https://github.com/GlPortal/specification/archive/2bcaa5d/specification-2bcaa5de0e6cae58e53008efcc8a9ec5f2f8ba92.tar.gz \
+ https://github.com/GlPortal/cppgui/archive/f45a7b9/cppgui-f45a7b94da031914a86e1823d5affc512cc9de66.tar.gz \
+ https://github.com/GlPortal/vhacd-lib/archive/537b241/vhacd-lib-537b2413299a5a7d22a4aa0f9f26901b0f38daf2.tar.gz"
+MD5SUM="35ba5fc7bddfd3ced267566e51fc554b \
+ aeae48fb40e76d9369fb9198e9cc6099 \
+ 75e2cd8467f199fb8f6780f8578d0e9d \
+ acdeea86872732b2677f4aae1b6ac63e \
+ 04a04face0567a8be26678b54fd7e13d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="assimp SDL2 SDL2_mixer bullet tinyxml2 unittest-cpp"
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/games/glPortal/slack-desc b/games/glPortal/slack-desc
new file mode 100644
index 0000000000..edbd5f2515
--- /dev/null
+++ b/games/glPortal/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glPortal: glPortal (3d physics based portal puzzle game)
+glPortal:
+glPortal: GlPortal is not a Portal clone; it features its own story centered
+glPortal: around an ambitious lab assistant named Ada, who has to solve
+glPortal: dangerous tasks for science on a daily basis. Her sidekick, a know-it-
+glPortal: all Robot with a more than impressive laser canon, and an overexcited
+glPortal: professor support her in her mission. Most of the time she has to
+glPortal: dodge lasers and bullets while preventing the destruction of all life
+glPortal: on earth. She is aided in her quest by the newest gizmo created by the
+glPortal: engineers downstairs.
+glPortal: HOMEPAGE: http://glportal.de/